// Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers
// See the COPYRIGHT file at the top-level directory of this distribution

// Abelujo is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// Abelujo is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.
{% extends "base.html" %}

{% block auto_command_nb %} {{ auto_command_nb }} {% endblock %}

{% block pagetitle %}
{{ page_title }}
{% endblock pagetitle%}

{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load humanize %}

{% get_current_language as LANGUAGE_CODE %}

if messages
  for msg in messages
    div.alert.alert-info  {{ msg }}

.row
  a.btn.btn-primary(href="{% url 'deposits_new' %}") {% trans "New deposit" %}
  .col-md-12
    h4 {% trans "Deposit" %}  {{ deposit.name | upper }}

.row
  .col-md-3
   table.table.table-condensed
     tbody
       tr
        td {% trans "Supplier" %}
        td: a(href="{{deposit.distributor.get_absolute_url}}") {{ deposit.distributor }}

       tr
        td {% trans "discount" %}
        td
          span {{ deposit.distributor.discount }} %

       tr
        td {% trans "Deposit type" %}
        td {{ deposit.deposit_type }}

       tr
        td {% trans "Auto command" %}
        td {{ deposit.auto_command | yesno:"oui,non"}}

  .col-md-3
   table.table.table-condensed
     tbody
       tr
          td {% trans "Created" %}
          td {{ deposit.created }}

       tr
          td {% trans "Due date" %}
          if deposit.due_date
            td {{ deposit.due_date }}
          else
            td

       tr
        td {% trans "Last deposit state" %}
        td {{ deposit.last_checkout_date }}

  .col-md-4
    table.table.table-condensed
      tbody
        tr
          td(title='{% trans "Number of cards at the beginning of this new checkout." %}') {% trans "Initial quantity" %}
          td.text-right {{ deposit.checkout_nb_initial }}

        tr
          td(title='{% trans "Current number of cards in the deposit." %}') {% trans "Current quantity" %}
          td.text-right {{ deposit.checkout_nb_current }}

        tr
          td {% trans "Copies sold" %}
          td.text-right {{ deposit.checkout_nb_cards_sold }}

        tr
          td {% trans "Total sold" %}
          td.text-right {{ deposit.checkout_total_sells | floatformat:2 | intcomma}} {% trans "€" %}

        tr
          td: h4  {% trans "To pay" %}
          td: h4.text-right {{ deposit.checkout_total_to_pay | floatformat:2 | intcomma}} {% trans "€" %}

        tr
          td {% trans "Margin" %}
          td.text-right {{ deposit.checkout_margin | floatformat:2 | intcomma}} {% trans "€" %}

.row
 .col-md-12
  table.table.table-condensed
    tbody
      td
        {% trans "Comment" %}
      td
        if not deposit.comment
          em {% trans "No comment." %}
        else
          div {{ deposit.comment }}
      td
        a(href="{% url 'admin:search_deposit_change' deposit.pk %}", target="_blank")  {% trans "edit" %}


.row
  .col-sm-8
    .btn-group
      a.btn.btn-default(href='{% url "deposit_checkout" deposit.id %}', title='{% trans "Save this deposit state" as deposit_state %}') {% trans "Deposit state" %}

      a.btn.btn-default(role="button", href="/admin/search/deposit/{{deposit.id}}") {% trans "Edit" %}

      {% trans "Add copies…" as deposit_add %}
      a.btn.btn-default(href='{% url "deposit_add_copies" deposit.id %}', title="{{ deposit_add }}", value="{{ deposit_add }}", type="submit") {{ deposit_add }}

      a(href="http://abelujo.cc/docs/deposits/", target="_blank"): button.btn.btn-default(title='{% trans "Read the documentation" %}')
       i.glyphicon.glyphicon-question-sign


//- {% trans "Delete this deposit" as deposit_delete %}
//- a(href="{% url 'deposit_delete' deposit.id %}").btn.btn-danger(title="{{ deposit_delete }}", value="{{ deposit_delete }}", type="submit", on-click="alert('not implemented!');") {{ deposit_delete }}

table.table.table-striped.table-hover
    tr
        th {% trans "Title" %}
        th.text-right {% trans "price" %}
        th.text-right {% trans "price" %} {% trans "excl. tax" %}
        th.text-right {% trans "price" %} {% trans "with discount" %}
        th.text-right {% trans "qty init" %}
        th.text-right {% trans "nb sold" %}
        th.text-right {% trans "current qty" %}
        th

    for card, bal in cards_balance
      tr
        td: a(href="{{card.get_absolute_url}}")  {{ card.title }}
        td.text-right  {{ card.price | floatformat:2 | intcomma  }} {% trans "€" %}
        td.text-right  {{ card.price_excl_vat | floatformat:2 | intcomma }} {% trans "€" %}
        td.text-right  {{ card.price_discounted | floatformat:2 | intcomma }} {% trans "€" %}
        td.text-right  {{ bal.nb_initial }}
        td.text-right  {{ bal.nb_cards_sold }}
        td.text-right  {{ bal.nb_current }}
        td
          form.form-inline(action="/{{ LANGUAGE_CODE }}/deposits/{{ deposit.pk }}/removecard/{{ card.pk }}", method="post")
            button.btn.btn-default(type="submit", value="")
              i.glyphicon.glyphicon-remove(onclick="confirm('Do you want to remove this book from the inventory ? ({{ card.title }})')")


{% endblock content %}